Package org.apache.commons.fileupload2.core

# Class QuotedPrintableDecoderTestCase

java.lang.Object
org.apache.commons.fileupload2.core.QuotedPrintableDecoderTestCase

public final class QuotedPrintableDecoderTestCase extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuotedPrintableDecoderTestCase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testBasicEncodeDecode()`
  `void`
  `testEmptyDecode()`
  `void`
  `testInvalidCharDecode()`
  `void`
  `testInvalidQuotedPrintableEncoding()`
  `void`
  `testInvalidSoftBreak1()`
  `void`
  `testInvalidSoftBreak2()`
  `void`
  `testPlainDecode()`
  `void`
  `testSoftLineBreakDecode()`
  This is NOT supported by Commons-Codec, see CODEC-121.
  `void`
  `testTruncatedEscape()`
  `void`
  `testUnsafeDecode()`
  `void`
  `testUnsafeDecodeLowerCase()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuotedPrintableDecoderTestCase

    public QuotedPrintableDecoderTestCase()

- ## Method Details

  - ### testBasicEncodeDecode

    @Test public void testBasicEncodeDecode() throws Exception
    Throws:
      `Exception`

  - ### testEmptyDecode

    @Test public void testEmptyDecode() throws Exception
    Throws:
      `Exception`

  - ### testInvalidCharDecode

    @Test public void testInvalidCharDecode()

  - ### testInvalidQuotedPrintableEncoding

    @Test public void testInvalidQuotedPrintableEncoding() throws Exception
    Throws:
      `Exception`

  - ### testInvalidSoftBreak1

    @Test public void testInvalidSoftBreak1() throws Exception
    Throws:
      `Exception`

  - ### testInvalidSoftBreak2

    @Test public void testInvalidSoftBreak2() throws Exception
    Throws:
      `Exception`

  - ### testPlainDecode

    @Test public void testPlainDecode() throws Exception
    Throws:
      `Exception`

  - ### testSoftLineBreakDecode

    @Test public void testSoftLineBreakDecode() throws Exception
    This is NOT supported by Commons-Codec, see CODEC-121.
    Throws:
      `Exception`
    See Also:
      - CODEC-121

  - ### testUnsafeDecode

    @Test public void testUnsafeDecode() throws Exception
    Throws:
      `Exception`

  - ### testUnsafeDecodeLowerCase

    @Test public void testUnsafeDecodeLowerCase() throws Exception
    Throws:
      `Exception`

  - ### testTruncatedEscape

    @Test public void testTruncatedEscape() throws Exception
    Throws:
      `Exception`